Bug 52508 - eepro100 does not work with 2.4.7-2 kernel
Summary: eepro100 does not work with 2.4.7-2 kernel
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Public Beta
Classification: Retired
Component: kernel (Show other bugs)
(Show other bugs)
Version: roswell
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Arjan van de Ven
QA Contact: Brock Organ
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-08-24 15:03 UTC by Sarantis Paskalis
Modified: 2007-04-18 16:36 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-08-24 15:54:38 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Sarantis Paskalis 2001-08-24 15:03:22 UTC
Description of Problem: My NIC, a eepro100 stopped working with the 2.4.7-2
kernel.  It worked fine with all the previous kernels including the
previous Roswell kernel (2.4.6-3.1 if I remember correctly).

I had a similar experience with Debian's 2.4.7 kernel, so I tend to blame
2.4.7 for the problem.


Version-Release number of selected component (if applicable): 2.4.7-2


How Reproducible: every time

Steps to Reproduce: 
1.install 2.4.7 kernel
2.use eepro100 module for the NIC
3.it does not receive any packets from the network


Actual Results:

The ifup command brings the eth0 interface up, and shows that packets are
actually transmitted (the TX number is increasing).  No packets are ever
received, according to ifconfig status (which btw. causes long delays in
the sendmail startup).


Expected Results:


Additional Information:
	System information:  Pentium II 333 MHz,
lspci output:
00:00.0 Host bridge: Intel Corporation 440BX/ZX - 82443BX/ZX Host bridge
(rev 02)
00:01.0 PCI bridge: Intel Corporation 440BX/ZX - 82443BX/ZX AGP bridge (rev 02)
00:07.0 ISA bridge: Intel Corporation 82371AB PIIX4 ISA (rev 02)
00:07.1 IDE interface: Intel Corporation 82371AB PIIX4 IDE (rev 01)
00:07.2 USB Controller: Intel Corporation 82371AB PIIX4 USB (rev 01)
00:07.3 Bridge: Intel Corporation 82371AB PIIX4 ACPI (rev 02)
00:08.0 Ethernet controller: Intel Corporation 82557 [Ethernet Pro 100]
(rev 05)01:00.0
VGA compatible controller: ATI Technologies Inc 3D Rage Pro AGP 1X/2X (rev 5c)

Comment 1 Glen Foster 2001-08-24 15:54:34 UTC
We (Red Hat) should try to fix this before next release.

Comment 2 Arjan van de Ven 2001-08-27 11:21:51 UTC
kernel-2.4.7-2.9 seems to have fixed the eepro100 problem.  Thanks.

-- Sarantis



Note You need to log in before you can comment on or make changes to this bug.